#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		sname		%(echo %{name} | cut -d '-' -f2-3)
%define		perlvers	%(perl -v | awk '/This/ {print $9}' | sed -e 's/v//' | cut -d'(' -f2 | cut -d')' -f1)
#-----------------------------------------------------------------------------
Name		:	perl-Encode-Locale
Version		:	1.05
Release		:	17.0.10.rel%{?dist}
Summary		:	Determine the locale encoding
Group		:	Development/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPL+ or Artistic
URL		:	https://metacpan.org/pod/Encode::Locale

Source0		:	%{sname}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	perl
BuildArch	:	noarch

#-----------------------------------------------------------------------------
%description
In many applications it's wise to let Perl use Unicode for the strings
it processes. Most of the interfaces Perl has to the outside world are
still byte based. Programs therefore need to decode byte strings that
enter the program from the outside and encode them again on the way out.

The POSIX locale system is used to specify both the language conventions
requested by the user and the preferred character set to consume and output.
The Encode::Locale module looks up the charset and encoding (called a
CODESET in the locale jargon) and arranges for the Encode module to know
this encoding under the name "locale". It means bytes obtained from the
environment can be converted to Unicode strings by calling
Encode::encode(locale => $bytes) and converted back again with
Encode::decode(locale => $string).

Where file systems interfaces pass file names in and out of the program
we also need care. The trend is for operating systems to use a fixed file
encoding that don't actually depend on the locale; and this module determines
the most appropriate encoding for file names. The Encode module will know
this encoding under the name "locale_fs". For traditional Unix systems
this will be an alias to the same encoding as "locale".

#-----------------------------------------------------------------------------
%files			
%defattr(-, root,root, -)
%doc Changes README
%{_datadir}/perl5/core_perl/Encode/Locale.pm
%{_mandir}/man3/Encode::Locale.3.gz

#=============================================================================
%prep
%setup -q -n %{sname}-%{version}

#-----------------------------------------------------------------------------
#building application
%build

%{__perl}							\
	Makefile.PL						\
	INSTALLDIRS=perl					\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make}							\
	%{_smp_mflags}						\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}							\
	PERL_INSTALL_ROOT=%{buildroot}				\
	install

find %{buildroot} -type f -name .packlist -exec rm -f {} ';'

#-----------------------------------------------------------------------------
%changelog
